<?php
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/**
 * @var $app \Slim\App
 */
return function (\Slim\App $app) {

    $app->get('index', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->index();
    })->setName('index');

    $app->post('fastAvailabilityService', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->fastAvailabilityService();
    })->setName('fastAvailabilityService');
    
    $app->post('quickQuoteService', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->quickQuoteService();
    })->setName('quickQuoteService');

    $app->post('bookingService', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->bookingService();
    })->setName('bookingService');
    
    $app->post('bookingServiceRA', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->bookingServiceRA();
    })->setName('bookingServiceRA');

    $app->post('bookingContentIndex', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->bookingContentIndex();
    })->setName('bookingContentIndex');

    $app->get('bookingUpdate', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->bookingUpdate();
    })->setName('bookingUpdate');

    $app->post('bookingCancel', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->bookingCancel();
    })->setName('bookingCancel');
    
    $app->post('bookingCancelRA', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->bookingCancelRA();
    })->setName('bookingCancelRA');

    $app->get('bookingCanceltest', function (Request $request, Response $response, $args) use ($app) {
        return (new \App\Controllers\ReservationsController($request,$response,$args,$app))->bookingCanceltest();
    })->setName('bookingCanceltest');
    
};